Source: debos
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders:
 Héctor Orón Martínez <zumbi@debian.org>,
 Christopher Obbard <obbardc@debian.org>,
 Andrej Shadura <andrewsh@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-golang,
 golang-any,
 golang-github-alessio-shellescape-dev,
 golang-github-docker-go-units-dev,
 golang-github-go-debos-fakemachine-dev (>= 0.0.8-1~),
 golang-github-go-task-slim-sprig-dev,
 golang-github-google-uuid-dev,
 golang-github-sjoerdsimons-ostree-go-dev (>= 0.0~git20201014.8fae757-2~),
 golang-github-stretchr-testify-dev,
 golang-github-jessevdk-go-flags-dev,
 golang-gopkg-freddierice-go-losetup.v1-dev,
 golang-yaml.v2-dev,
 pandoc <!nodoc>,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/go-debos/debos
Vcs-Browser: https://salsa.debian.org/go-team/packages/debos
Vcs-Git: https://salsa.debian.org/go-team/packages/debos.git
XS-Go-Import-Path: github.com/go-debos/debos
Testsuite: autopkgtest-pkg-go

Package: debos
Architecture: amd64 arm64
Built-Using:
 ${misc:Built-Using},
Recommends:
 bmap-tools,
 bzip2,
 dosfstools,
 e2fsprogs,
 fdisk,
 linux-image-amd64 [amd64],
 linux-image-arm64 [arm64],
 mount,
 ovmf,
 parted,
 systemd-resolved,
 udev,
 xz-utils,
 zip,
Depends:
 busybox | busybox-static,
 debootstrap,
 qemu-system-x86 [amd64],
 qemu-system-arm [arm64],
 qemu-user-static,
 systemd-container,
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 libslirp-helper,
 user-mode-linux,
Description: Debian OS builder
 debos is a tool to make creation of various Debian based OS "images"
 simpler. While most other tools focus on a specific use-case, debos is
 more meant as a toolchain to make common actions trivial while providing
 enough rope to do whatever tweaking that might be required behind
 the scenes.
